Open CASCADE Technology: BRepAlgo_DataMapIteratorOfDataMapOfShapeBoolean Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BRepAlgo_DataMapIteratorOfDataMapOfShapeBoolean Class Reference

`#include <BRepAlgo_DataMapIteratorOfDataMapOfShapeBoolean.hxx>`

Inheritance diagram for BRepAlgo_DataMapIteratorOfDataMapOfShapeBoolean:
[legend]

## Public Member Functions
| BRepAlgo_DataMapIteratorOfDataMapOfShapeBoolean ()
| BRepAlgo_DataMapIteratorOfDataMapOfShapeBoolean (const BRepAlgo_DataMapOfShapeBoolean &aMap)
void | Initialize (const BRepAlgo_DataMapOfShapeBoolean &aMap)
const TopoDS_Shape & | Key () const
const Standard_Boolean & | Value () const
Public Member Functions inherited from TCollection_BasicMapIterator
void | Reset ()
| Resets the iterator to the first node. More...
Standard_Boolean | More () const
| Returns true if there is a current entry for this iterator in the map. Use the function Next to set this iterator to the position of the next entry, if it exists. More...
void | Next ()
| Sets this iterator to the position of the next entry of the map. Nothing is changed if there is no more entry to explore in the map: this iterator is always positioned on the last entry of the map but the function More returns false. More...

## Additional Inherited Members
Protected Member Functions inherited from TCollection_BasicMapIterator
| TCollection_BasicMapIterator ()
| Creates an empty iterator. More...
| TCollection_BasicMapIterator (const TCollection_BasicMap &M)
| Initialize on the first node in the buckets. More...
void | Initialize (const TCollection_BasicMap &M)
| Initialize on the first node in the buckets. More...
Protected Attributes inherited from TCollection_BasicMapIterator
Standard_Address | myNode

## Constructor & Destructor Documentation

BRepAlgo_DataMapIteratorOfDataMapOfShapeBoolean::BRepAlgo_DataMapIteratorOfDataMapOfShapeBoolean | ( |  | ) |

BRepAlgo_DataMapIteratorOfDataMapOfShapeBoolean::BRepAlgo_DataMapIteratorOfDataMapOfShapeBoolean | ( | const BRepAlgo_DataMapOfShapeBoolean & | aMap | ) |

## Member Function Documentation

void BRepAlgo_DataMapIteratorOfDataMapOfShapeBoolean::Initialize | ( | const BRepAlgo_DataMapOfShapeBoolean & | aMap | ) |

const TopoDS_Shape& BRepAlgo_DataMapIteratorOfDataMapOfShapeBoolean::Key | ( |  | ) | const

const Standard_Boolean& BRepAlgo_DataMapIteratorOfDataMapOfShapeBoolean::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- BRepAlgo_DataMapIteratorOfDataMapOfShapeBoolean.hxx